Package org.springframework.web.servlet.theme

# Class ThemeChangeInterceptor

java.lang.Object
org.springframework.web.servlet.theme.ThemeChangeInterceptor

All Implemented Interfaces:
  `HandlerInterceptor`

@Deprecated(since="6.0") public class ThemeChangeInterceptor extends Object implements HandlerInterceptor
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
Interceptor that allows for changing the current theme on every request, via a configurable request parameter (default parameter name: "theme").

Since:
  20.06.2003
Author:
  Juergen Hoeller
See Also:
  - `ThemeResolver`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_PARAM_NAME`
Deprecated.
Default name of the theme specification parameter: "theme".

## Constructor Summary

Constructors
Constructor
Description
`ThemeChangeInterceptor()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`String`
`getParamName()`
Deprecated.
Return the name of the parameter that contains a theme specification in a theme change request.
`boolean`
`preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)`
Deprecated.
Interception point before the execution of a handler.
`void`
`setParamName(String paramName)`
Deprecated.
Set the name of the parameter that contains a theme specification in a theme change request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.HandlerInterceptor

`afterCompletion, postHandle`

## Field Details

### DEFAULT_PARAM_NAME

public static final String DEFAULT_PARAM_NAME
Deprecated.
Default name of the theme specification parameter: "theme".

See Also:
  - Constant Field Values

## Constructor Details

### ThemeChangeInterceptor

public ThemeChangeInterceptor()
Deprecated.

## Method Details

### setParamName

public void setParamName(String paramName)
Deprecated.
Set the name of the parameter that contains a theme specification in a theme change request. Default is "theme".

### getParamName

public String getParamName()
Deprecated.
Return the name of the parameter that contains a theme specification in a theme change request.

### preHandle

public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws ServletException
Deprecated.
Description copied from interface: `HandlerInterceptor`
Interception point before the execution of a handler. Called after HandlerMapping determined an appropriate handler object, but before HandlerAdapter invokes the handler.

DispatcherServlet processes a handler in an execution chain, consisting of any number of interceptors, with the handler itself at the end. With this method, each interceptor can decide to abort the execution chain, typically sending an HTTP error or writing a custom response.

Note: special considerations apply for asynchronous request processing. For more details see `AsyncHandlerInterceptor`.

The default implementation returns `true`.

Specified by:
  `preHandle` in interface `HandlerInterceptor`
Parameters:
  `request` - current HTTP request
  `response` - current HTTP response
  `handler` - chosen handler to execute, for type and/or instance evaluation
Returns:
  `true` if the execution chain should proceed with the next interceptor or the handler itself. Else, DispatcherServlet assumes that this interceptor has already dealt with the response itself.
Throws:
  `ServletException`